eslint-config-skyscanner

    10.4.0 • Public • Published

    eslint-config-skyscanner

    Build Status npm version

    This package includes the shareable ESLint configuration used by Skyscanner.

    Installation

    npm install --save-dev eslint-config-skyscanner

    Add "extends": "skyscanner" to your .eslintrc.

    React

    eslint-config-skyscanner will try to detect automatically the version of React installed.

    If your project doesn't use it or it is not installed in the same package.json as eslint-config-skyscanner, it must be manually set in .eslintrc:

    "settings": {
      "react": {
        "version": "16.4"
      }
    }
    

    Changelog

    View our up-to-date changelog.

    Install

    npm i eslint-config-skyscanner

    DownloadsWeekly Downloads

    444

    Version

    10.4.0

    License

    Apache-2.0

    Unpacked Size

    56.8 kB

    Total Files

    31

    Last publish

    Collaborators

    • frugoman
    • zgeor
    • dfraser
    • anambl
    • marianeumayer-skyscanner
    • ojcurt
    • mattface